DebugHandler::WebSocketDebugProgramControl Class Reference

web socket debug program control class More...

Inherits DebugProgramControl.

## Public Member Functions

| broadcastDataImpl (auto data)
| sends data to all connections
| constructor (string serverName, *HttpServer::AbstractAuthenticator auth)
| creates the object and set the web socket handler object by calling setHandler()
*string | getContentType ()
| returns the MIME type for serialized data
WebSocketHandler | getHandler ()
| returns the web socket handler object
| sendDataImpl (hash cx, auto data)
| sends data to the given connection

## Private Member Functions

| setHandler (*HttpServer::AbstractAuthenticator auth, *list args)
| sets the web socket handler object; override in a subclass to provide a custom handler object

## Detailed Description

web socket debug program control class